Airdrop

List Airdrop Sync Units

GET
/airdrop.sync-units.list

Gets a list of sync units.

Authorization

auth-token

AuthorizationBearer <token>

All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request. How do I find my token?

In: header

Query Parameters

cursor?string

The cursor to resume iteration from. If not provided, then iteration starts from the beginning.

Formattext
filter.action_required?boolean

Filter for sync units that have an action required.

filter.external_system_name?array<string>

Filters for sync units with the provided external system names.

filter.external_system_type?array<external-system-type>

External system type.

filter.imported_by_id?array<string>

ID of the user who imported the sync unit.

filter.keyring_id?string

Keyring ID associated with the import

Formatid
filter.recipe_version?string

Recipe version of the sync unit.

Value in"v2" | "v3"
filter.state?array<sync-progress-state>

State of the sync unit.

filter.sync_pack_id?string

Sync pack ID associated with the sync unit.

Formatid
filter.sync_unit_name?string

Sync unit name.

Formattext
limit?integer

The maximum number of sync units to return. The default is '50'.

Formatint32
mode?string

The iteration mode to use, otherwise if not set, then "after" is used.

Value in"after" | "before"
sort_by?array<string>

Comma-separated fields to sort the sync units by.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.devrev.ai/airdrop.sync-units.list"
{
  "next_cursor": "string",
  "prev_cursor": "string",
  "sync_units": [
    {
      "created_by": {
        "type": "dev_user",
        "display_id": "string",
        "id": "string",
        "display_name": "string",
        "display_picture": {
          "display_id": "string",
          "id": "string",
          "file": {
            "type": "string",
            "name": "string",
            "size": 0
          }
        },
        "email": "string",
        "full_name": "string",
        "state": "active"
      },
      "created_date": "2023-01-01T12:00:00.000Z",
      "display_id": "string",
      "id": "string",
      "modified_by": {
        "type": "dev_user",
        "display_id": "string",
        "id": "string",
        "display_name": "string",
        "display_picture": {
          "display_id": "string",
          "id": "string",
          "file": {
            "type": "string",
            "name": "string",
            "size": 0
          }
        },
        "email": "string",
        "full_name": "string",
        "state": "active"
      },
      "modified_date": "2023-01-01T12:00:00.000Z",
      "object_version": 0,
      "external_sync_unit_name": "string",
      "external_system_id": "string",
      "external_system_name": "string",
      "external_system_type": "adaas",
      "is_archived": true,
      "name": "string",
      "sync_pack_id": "string",
      "sync_run": {
        "ended_at": "2023-01-01T12:00:00.000Z",
        "item_analytics_artifact": {
          "display_id": "string",
          "id": "string",
          "file": {
            "type": "string",
            "name": "string",
            "size": 0
          }
        },
        "mode": "initial",
        "progress": {
          "state": "completed"
        },
        "reserved_rate_limit_percentage": 0,
        "started_at": "2023-01-01T12:00:00.000Z"
      },
      "sync_type": "manual"
    }
  ]
}
{
  "detail": "string",
  "message": "string",
  "type": "artifact_already_attached_to_a_parent",
  "existing_parent": "string",
  "is_same": true
}
{
  "detail": "string",
  "message": "string",
  "type": "dev_org_deactivated"
}
{
  "detail": "string",
  "message": "string",
  "type": "forbidden",
  "object_ids": [
    "string"
  ]
}
{
  "detail": "string",
  "message": "string",
  "type": "request_entity_too_large",
  "max_bytes": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "too_many_requests",
  "retry_after": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "internal_error",
  "reference_id": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "service_unavailable"
}